This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 639014 - JBoss AS plugin does not show AJP connector metrics when monitoring JBoss 4.0.5
JBoss AS plugin does not show AJP connector metrics when monitoring JBoss 4.0.5
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-30 11:54 EDT by Pilar Bravo
Modified: 2014-06-27 16:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-27 16:43:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pilar Bravo 2010-09-30 11:54:22 EDT
Description of problem:

When monitoring JBoss AS 4.0.5 the AJP connector metrics don't show up. The AS plugin looks for this MBean:
jboss.web:name=jk-0.0.0.0-8009,type=GlobalRequestProcessor
When the actual MBean name is:
jboss.web:name=jk-8009,type=GlobalRequestProcessor

Version-Release number of selected component (if applicable):

JBoss Operations Network 2.4

How reproducible:

Install JBoss ON 2.4 and start monitoring a JBoss AS 4.0.5 instance. Look for the AJP connector


Additional info:

The agent log shows the following message:
2010-09-30 13:06:27,127 WARN [ResourceContainer.invoker.daemon-11] (org.rhq.plugins.jbossas.JBossASTomcatConnectorComponent)- Bean jboss.web:name=jk-0.0.0.0-8009,type=GlobalRequestProcessor not found, skipping ...

The JMX console shows the following MBean name:
name=jk-8009,type=GlobalRequestProcessor

The plugin descriptor has this implementation:

  <!-- jboss.web:name=http-0.0.0.0-8080,type=GlobalRequestProcessor:maxTime -->
            <metric property="jboss.web:name=%schema%%dash%%address%-%port%,type=GlobalRequestProcessor:maxTime"
                    displayName="Maximum Request Time"
                    description="Maximum time it took to process a request"
                    units="milliseconds"
                    defaultOn="true" category="performance"/>

Thus, it's not possible to get the metrics, even deleting the AJP connector's IP. In this case, the agent's message is:

2010-09-30 17:46:27,219 WARN  [ResourceContainer.invoker.daemon-126] (org.rhq.plugins.jbossas.JBossASTomcatConnectorComponent)- Bean jboss.web:name=jk--8009,type=ThreadPool not found, skipping ...
Comment 1 Pilar Bravo 2010-10-01 06:38:16 EDT
This just happens when starting the server without the -b option (default 0.0.0.0).

When using the -b option, the connector metrics show up as expected.
Comment 2 Jay Shaughnessy 2014-06-27 16:43:54 EDT
closing due to to inactivity.

Note You need to log in before you can comment on or make changes to this bug.